Bug 4570 - Render packaging of %_localstatedir/scrollkeeper/* as error
: Render packaging of %_localstatedir/scrollkeeper/* as error
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/sisyphus)
: unstable
: all Linux
: P2 enhancement
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2004-07-01 10:03 by
Modified: 2009-03-20 12:36 (History)


Attachments
iniital implementation (2.16 KB, patch)
2005-09-06 20:36, Alexey Gladkov
legion: review-
Details | Diff
sisyphus_check-0.7.13-alt-check-locales.patch (2.24 KB, patch)
2005-09-07 02:00, Alexey Gladkov
no flags Details | Diff


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2004-07-01 10:03:09
Recently I found that anjuta was packaged with files under
%_localstatedir/scrollkeeper/ (check
http://lists.altlinux.ru/pipermail/devel/2004-June/012095.html). As I understood
such files were maintained by scrollkeeper itself and wouldn't belong to any
package.

aris@ considered this packaging error was worth adding new check to
sisyphus_check detecting somebody's try to package
%_localstatedir/scrollkeeper/* files (check
http://lists.altlinux.ru/pipermail/devel/2004-June/012097.html).
------- Comment #1 From 2004-07-01 19:03:19 -------
I'd also add same checks for other locale directories.
------- Comment #2 From 2004-08-31 21:22:33 -------
Anybody volunteer to implement this?
------- Comment #3 From 2004-09-01 15:03:04 -------
I can do this. But I must know what locale directories should be checked.
------- Comment #4 From 2005-09-06 19:10:52 -------
I shall take care of it.
------- Comment #5 From 2005-09-06 20:36:18 -------
Created an attachment (id=1093) [details]
iniital implementation
------- Comment #6 From 2005-09-07 02:00:51 -------
Created an attachment (id=1095) [details]
sisyphus_check-0.7.13-alt-check-locales.patch
------- Comment #7 From 2006-09-28 02:07:22 -------
was it merged?
------- Comment #8 From 2007-07-24 13:35:30 -------
The patch seems to be merged, but the matter of the bug is still there. We need
a patch for scrollkeeper files (maybe I will make it myself, if I have time).
------- Comment #9 From 2007-11-10 20:30:49 -------
Seems like scrollkeeper is drifting to being obsolete?
------- Comment #10 From 2007-11-10 20:44:33 -------
Aha. But Scrollkeeper files will last longer than Scrollkeeper itself, since
Rarian supports Scollkeeper databases.
------- Comment #11 From 2009-03-20 05:10:37 -------
Не знаю, что делать с этим багом. Может, репокопный тест сотворить на эту тему?
------- Comment #12 From 2009-03-20 09:42:37 -------
В сизифе нет пакетов where filename glob '/var/lib/scrollkeeper/*' ---
select pkgid, filename from rpm_files where filename glob
'/var/lib/scrollkeeper/*';
<empty>
но похоже в sisyphus_check это тоже не проверяется -
grep -r scroll /etc/sisyphus_check/check.d/
<empty>
для гарантии можно написать тест repocop.
нужно только, чтобы кто-то компетентный написал 
фрагмент полиси на wiki, чтобы тест репокопа ссылался на нее
при ругани на провинившийся пакет.
------- Comment #13 From 2009-03-20 12:36:36 -------
Я бы не заморачивался. Scrollkeeper отошёл в прошлое, генерация его временных
файлов, соответственно, тоже. Сейчас эти файлы создавать, как я понимаю, просто
нечем.